export type TeXChar = {
    math?: string;
    text?: string;
    commandspacer?: boolean;
    alt?: string[];
};
export type CharMap = Record<string, TeXChar>;
export type TeXMap = {
    base: CharMap;
    package: Record<string, CharMap>;
    provides: Record<string, string>;
    stopgap: string;
};
export declare const biblatex: TeXMap;
export declare const bibtex: TeXMap;
export declare const minimal: TeXMap;
export declare const latex2unicode: Record<string, string>;
export declare const diacritics: {
    commands: string[];
    tolatex: Record<string, {
        command: string;
        mode: 'text' | 'math';
    }>;
    tounicode: Record<string, string>;
};
export type MapOptions = {
    packages?: string[];
    math?: string;
    text?: string;
    ascii?: string;
    charmap?: CharMap;
};
export declare function load(mode: 'bibtex' | 'biblatex' | 'minimal', options?: MapOptions): CharMap;
export declare function replace_command_spacers(latex: string): string;
export type TranslateOptions = {
    bracemath?: boolean;
    mode?: 'minimal' | 'bibtex' | 'biblatex';
    preservecommandspacers?: boolean;
    packages?: Set<string>;
};
export declare function tolatex(text: string, table: CharMap, options?: TranslateOptions): string;
